<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_eblagh_melis', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('title')->nullable();
            $table->integer('province_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->integer('office_id')->nullable();
            $table->string('office_fa')->nullable();
            $table->string('mehvar_name')->nullable();
            $table->string('tarh_number')->nullable();
            $table->string('credit_eblagh_public')->nullable();
            $table->string('credit_takhsis_public_cash')->nullable();
            $table->string('credit_takhsis_public_not_cash')->nullable();
            $table->string('credit_public_describe')->nullable();
            $table->string('credit_eblagh_other')->nullable();
            $table->string('credit_takhsis_other')->nullable();
            $table->string('credit_eblagh_meli')->nullable();
            $table->string('credit_takhsis_meli')->nullable();
            $table->integer('used')->nullable()->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_eblagh_melis');
    }
};
